%define	name	steghide
%define	version	0.4.5
%define	release	2mdk

Summary:	A steganography program
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		File tools
URL:		http://steghide.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	libmhash2-devel libmcrypt4-devel libltdl3-devel
Requires:	libmhash2 libmcrypt4 libltdl3
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Steghide is a steganography program which embeds a secret message
in a cover file by replacing some of the least significant bits of
the cover file with bits of the secret message. After that, the
secret message is imperceptible and can only be extracted with the
correct passphrase. To increase invisibility the hidden bits are
encrypted (using the blowfish encryption algorithm) and
pseudo-randomly spreaded in the stego file. Steghide is able to
embed data in BMP, WAV and AU files.

%prep

%setup -q

%configure

%build
%make

%install
rm -rf %{buildroot}
%makeinstall

# fix this
rm -rf %{buildroot}%{_prefix}/doc

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS CREDITS HISTORY INSTALL README TODO
%{_bindir}/steghide
%{_mandir}/man1/steghide.1*

%changelog
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4.5-2mdk
- misc spec file fixes

* Fri Apr  5 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4.5-1mdk
- new version

* Sun Dec 23 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.4.2-1mdk
- initial cooker contrib
